Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IUserInterfaceImage

All Superinterfaces:
  IUserInterfaceControl, IUserInterfaceNode

Deprecated. This class is only supported for DHTML UIs Implemented by user interface objects that provide capabilities needed by functional companions to interact with images. Oracle Configurator Runtime Behavior:

public interface IUserInterfaceImage
extends IUserInterfaceControl

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Fields inherited from interface oracle.apps.cz.cio.IUserInterfaceNode
`BOM_CONTROL, BUTTON, CHECK_BOX, COMBO_BOX, CONNECT_OPTION, CONNECTOR, CONNECTOR_LIST, DECIMAL_FIELD, IMAGE, INTEGER_FIELD, LABEL, LOGIC_COUNT_BOX, MODEL_INSTANCE, MODEL_INSTANCES_BOX, OPTION, RESOURCE_FIELD, SCREEN, SELECTION_LIST, SELECTION_LIST_MUTEX, TARGET_COMPONENT, TEXT_FIELD, TOTAL_FIELD, TREELINK, UINODE`

Method Summary
`java.lang.String` | `getFileName()` Deprecated. Returns the name of the image currently being displayed by the image.
`void` | `setFileName(java.lang.String imageName)` Deprecated. Sets the name of the image to be displayed.

Methods inherited from interface oracle.apps.cz.cio.IUserInterfaceControl
`getDisableFlag, getHiddenFlag, getScreen, isEnabled, isVisible, setDisableFlag, setHiddenFlag`

Methods inherited from interface oracle.apps.cz.cio.IUserInterfaceNode
`getName, getRuntimeNode, getType, getUiCaption`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Method Detail

### getFileName

    public java.lang.String getFileName()

  Deprecated.
  Returns the name of the image currently being displayed by the image. Oracle Configurator Runtime Behavior:

### setFileName

    public void setFileName(java.lang.String imageName)

  Deprecated.
  Sets the name of the image to be displayed. The image name can be null. Oracle Configurator Runtime Behavior: The veracity of the image is not checked by the runtime (server). The image will be loaded by the client any problems of locating the image will be handled by the client. If null is passed as the argument the runtime will have the client take down the image. However, the image control will still be displayed with nothing in it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.